local Monitor = Core.class(Sprite)

function Monitor:init()
	local appW=application:getContentWidth()
	
	self.bg=Pixel.new(0,1,appW,15)
	self:setAlpha(.3)
	self:addChild(self.bg)
	
	self.luaMem = TextField.new(nil, "luaMem: 0kB")
	self.luaMem:setPosition(10, 20)
	self.luaMem:setTextColor(0xffffff)
	self:addChild(self.luaMem);self.luaMem:setScale(2)
	
	self.textureMem = TextField.new(nil, "textureMem: 9 kB")
	self.textureMem:setPosition(appW/2-100, 20)
	self.textureMem:setTextColor(0xffffff)
	self:addChild(self.textureMem);self.textureMem:setScale(2)
	
	self.frameCount = 0
	self.tfFPS = TextField.new(nil, "00 fps")
	self.tfFPS:setAnchorPoint(1,0)
	self.tfFPS:setPosition(appW-10,20)
	self.tfFPS:setTextColor(0xffffff)
	self:addChild(self.tfFPS);self.tfFPS:setScale(2)

	
	local timer,mathCeil = Timer.new(1000),math.ceil
	timer:addEventListener(Event.TIMER, function(self)
		self.textureMem:setText("textureMem: "..mathCeil(application:getTextureMemoryUsage()-64).."kB")

		self.luaMem:setText("luaMem: "..math.ceil(collectgarbage("count")).."kB")

		self.tfFPS:setText(self.frameCount.."fps")
		self.tfFPS:setAnchorPoint(1,0)
		self.tfFPS:setX(appW-10)
		self.frameCount = 0
	end, self)
	timer:start()

	stage:addEventListener(Event.ENTER_FRAME, function()
		self.frameCount = self.frameCount + 1
		stage:addChildAt(self, stage:getNumChildren()+1)
	end)
end

local monitor = Monitor.new()